petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscCheckPointer

Returns PETSC_TRUE if a pointer points to accessible data

### Synopsis

    PetscBool PetscCheckPointer(const void *ptr,PetscDataType dtype)

Not Collective

### Input Parameters

| ptr | - the pointer
| dtype | - the type of data the pointer is suppose to point to

### See Also

PetscCheckPointerSetIntensity()

### Level

developer

### Location

src/sys/error/checkptr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages